masakari-monitors (20.0.0+git20260115.40.26f796f-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/p/demote-k8s-to-suggests.patch: Refresh.
  * d/patches/*: refresh patches
  * New upstream snapshot from 26f796f2a21cf573fff0119d5e167d8c64f2a018
    for OpenStack Gazpacho. (LP: #2137590)
  * d/tests/control: Fix incorrect import name issue.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 09:30:15 -0800

masakari-monitors (20.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:34:32 -0700

masakari-monitors (20.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 11:46:05 -0700

masakari-monitors (19.0.0+git2025070714.66e71d5-0ubuntu4) questing; urgency=medium

  * d/masakarimonitors_sudoers: Drop !requiretty override causing compatibility
    issues with sudo-rs. (LP: #2120708)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 15 Aug 2025 10:51:55 -0700

masakari-monitors (19.0.0+git2025070714.66e71d5-0ubuntu3) questing; urgency=medium

  * d/control: python-kubernetes now a suggested requirement.
  * d/p/demote-k8s-to-suggests.patch: Add patch to skip
    not install python-kubernetes and fail gracefully during runtime.
  * d/p/series: Add demote-k8s-to-suggests.patch.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 31 Jul 2025 10:25:30 -0700

masakari-monitors (19.0.0+git2025070714.66e71d5-0ubuntu2) questing; urgency=medium

  * d/control: Drop python-kubernetes from requirements.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 30 Jul 2025 09:12:40 -0700

masakari-monitors (19.0.0+git2025070714.66e71d5-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 14:46:08 -0700

masakari-monitors (19.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 21:57:00 +0200

masakari-monitors (18.0.0+git2025030311.1f62741-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 15:38:03 +0000

masakari-monitors (18.0.0+git2025011511.21a78c6-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove unnecessary dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 15:57:21 +0000

masakari-monitors (18.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:27:52 +0100

masakari-monitors (18.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 16:24:08 +0100

masakari-monitors (17.0.1+git2024081411.65eb41d0-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles <myles.penner@canonical.com>  Thu, 15 Aug 2024 15:46:38 +0100

masakari-monitors (17.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:48:08 +0100

masakari-monitors (17.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 14:54:18 +0000

masakari-monitors (16.0.0+git2024011916.58cbb346-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Sat, 03 Feb 2024 13:05:59 +0000

masakari-monitors (16.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:04:44 -0400

masakari-monitors (15.0.0+git2023071214.4aa998d4-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/t/masakari-monitors-daemons: Use timeout loop and systemctl is-active
    to test status.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:35:08 -0400

masakari-monitors (15.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:51:03 -0400

masakari-monitors (15.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 18:05:37 -0500

masakari-monitors (14.0.0+git2023011010.cf646dfc-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:03:17 -0500

masakari-monitors (14.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:19:24 -0400

masakari-monitors (13.0.0+git2022091213.afcf34d-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:15:20 -0400

masakari-monitors (13.0.0+git2022071414.b42b5e5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/masakari-monitors-common.postinst: CIS hardening update to switch adduser to
    use /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:15:55 -0400

masakari-monitors (13.0.0+git2022060213.b42b5e5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 13:46:37 -0400

masakari-monitors (13.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:10:35 -0400

masakari-monitors (12.0.0+git2022030313.a89511e-0ubuntu2) jammy; urgency=medium

  * d/py3dist-overrides: Add python-consul as it is a Suggests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Mar 2022 10:44:57 -0500

masakari-monitors (12.0.0+git2022030313.a89511e-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:39:45 -0500

masakari-monitors (12.0.0+git2022011308.45adf21-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 08:29:20 -0500

masakari-monitors (12.0.0+git2021120910.5198a3c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:55:31 -0500

masakari-monitors (12.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 12.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:45 +0000

masakari-monitors (11.0.1+git2021090814.4b99f75-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:57 +0000

masakari-monitors (11.0.0+git2021072117.6a496e7-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:07:08 -0400

masakari-monitors (11.0.0+git2021061112.fe5247c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:44 +0000

masakari-monitors (11.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:46:13 +0000

masakari-monitors (11.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Wallaby.
  * d/rules: Drop unused samples inline with upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 08:20:45 -0400

masakari-monitors (10.0.0+git2021012507.d8d7dbc-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:06:25 +0000

masakari-monitors (10.0.0+git2020121014.bcf6129-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 14:04:34 -0500

masakari-monitors (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:18:34 -0400

masakari-monitors (10.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 10.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:04:41 -0400

masakari-monitors (10.0.0~b3~git2020091408.58c78e9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:07:19 +0000

masakari-monitors (10.0.0~b1~git2020070210.be1173e-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 10:00:17 -0400

masakari-monitors (9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release OpenStack Ussuri (LP: #1877642).
  * d/watch: Update to point at opendev.org.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 09:09:44 +0000

masakari-monitors (9.0.0~b3~git2020041013.e225e6d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/masakari-monitors-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:14:02 -0400

masakari-monitors (9.0.0~b3~git2020032614.8711c07-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/masakari-monitors-common.postinst: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 14:31:03 -0400

masakari-monitors (9.0.0~b1~git2019121714.b717be1-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop remaining py2 BDs.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/p/bug1728527.patch: Dropped. Fixed in snapshot.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 14:28:07 -0500

masakari-monitors (8.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:28:19 +0100

masakari-monitors (8.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:48:52 -0400

masakari-monitors (8.0.0~b2~git2019073018.ae3ab24-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:38:15 +0200

masakari-monitors (8.0.0~b1~git2019061810.8fe6937-0ubuntu1) eoan; urgency=medium

  * New upstream release 8.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:21:21 +0100

masakari-monitors (7.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:20:13 +0100

masakari-monitors (7.0.0~rc1-0ubuntu2) disco; urgency=medium

  [ Corey Bryant ]
  * d/control: Set source package Section to net, fixing
    binary-control-field-duplicates-source lintian tag.

  [ James Page ]
  * d/p/bug1728527.patch: Cherry pick fix to resolve issues with use of
    pacemaker-remote for remote management of hypervisors (LP: #1728527).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Apr 2019 16:22:18 +0100

masakari-monitors (7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:27:40 -0400

masakari-monitors (7.0.0~b1-0ubuntu2) disco; urgency=medium

  * d/tests/*: Align test name with d/tests/control.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 08:10:58 -0400

masakari-monitors (7.0.0~b1-0ubuntu1) disco; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Feb 2019 14:50:38 -0500
